xn::ModuleAntiFlickerInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleAntiFlickerInterface ()
virtual XnStatus | SetPowerLineFrequency (XnPowerLineFrequency nFrequency)=0
virtual XnPowerLineFrequency | GetPowerLineFrequency ()=0
virtual XnStatus | RegisterToPowerLineFrequencyChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromPowerLineFrequencyChange (XnCallbackHandle hCallback)=0

## Constructor & Destructor Documentation

## ~ModuleAntiFlickerInterface()

virtual xn::ModuleAntiFlickerInterface::~ModuleAntiFlickerInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## GetPowerLineFrequency()

virtual XnPowerLineFrequency xn::ModuleAntiFlickerInterface::GetPowerLineFrequency | ( |  | ) |

pure virtual

## RegisterToPowerLineFrequencyChange()

virtual XnStatus xn::ModuleAntiFlickerInterface::RegisterToPowerLineFrequencyChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## SetPowerLineFrequency()

virtual XnStatus xn::ModuleAntiFlickerInterface::SetPowerLineFrequency | ( | XnPowerLineFrequency | nFrequency | ) |

pure virtual

## UnregisterFromPowerLineFrequencyChange()

virtual void xn::ModuleAntiFlickerInterface::UnregisterFromPowerLineFrequencyChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h